跳转到主要内容
资源中心/网络资源/路由资源相关接口
GETRoute Resource Operations起始版本 0.6同步需要认证

查询路由器规格

查询路由器规格

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • managementNetworkUuidString必填

      暂无描述。

    • publicNetworkUuidString必填

      暂无描述。

    • zoneUuidString必填

      区域UUID

    • isDefaultBoolean必填

      是否默认。

    • imageUuidString必填

      镜像UUID

    • uuidString必填

      资源的UUID,唯一标示该资源

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • cpuNumInteger必填

      暂无描述。

    • cpuSpeedInteger必填

      暂无描述。

    • memorySizeLong必填

      内存大小。

    • typeString必填

      类型。

    • allocatorStrategyString必填

      暂无描述。

    • sortKeyInteger必填

      排序键。

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • stateString必填

      当前状态。

请求地址

GET/zstack/v1/instance-offerings/virtual-routers

/zstack/v1/instance-offerings/virtual-routers

操作 ID

QueryVirtualRouterOffering

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/instance-offerings/virtual-routers' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "managementNetworkUuid": "6d5e54344898416c9a20a104341c82d5", "publicNetworkUuid": "c6a23a0ed6ad4337a35d8a946694f8ea", "zoneUuid": "a12ffae2039847a8b9046478ad03fecd", "isDefault": true, "imageUuid": "ca56a16b15bb47c0a26055e28d1e621f", "name": "VirtualRouter-Offering", "cpuNum": 2.0, "cpuSpeed": 1.0, "memorySize": 1024.0, "type": "VirtualRouter" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史